Subject: [lp-wan] Example of rule with field of variable length

From: Felipe Canales <[email-masked]>
Date: Wed, 20 Jan 2021 00:09:19 -0300

Dear Author,

I’m working on the compression of IPv6 and UDP headers on an implementation of SCHC over LoRaWAN. Currently, I can compress fields of fixed length as specified by RFC 8724, but I am unsure about how to implement variable length fields.

Section 7.1 states that the field length (FL) of a variable length header is its type and that length calculation is defined by the type. I understand this to mean that the length is the number of FL units used instead of the number of bits. Together with the definition of the MSB matching operator in section 7.3, leads me to believe that when a residue length is sent, it also indicates FL units. Is this right?

Additionally, there is no example of a rule with a variable length header in RFC 8724. Could I be provided one? Even if it does not apply to IPv6 + UDP (which I believe it doesn’t), it would serve as a reference for compressing other protocols.

Regards.

Felipe Canales

---

From: <[email-masked]>
Date: Mon, 25 Jan 2021 09:45:19 +0000

Hello Felipe,

Good to hear from the Chilean team !
Variable length fields do not appear in UDP/IPv6, as you rightly mentioned.
They do appear in many CoAP field, so you will find several examples in draft-ietf-lpwan-coap-static-context-hc-18.
One example with the MSB matching operator can be seen in Fig 5.
Best regards

Dominique

From: lp-wan [mailto:[email-masked]] On Behalf Of Felipe Canales
Sent: mercredi 20 janvier 2021 04:09
To: [email-masked]
Cc: [email-masked]; Sandra Céspedes <[email-masked]>
Subject: [lp-wan] Example of rule with field of variable length

Dear Author,

Regards.

Felipe Canales

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.